Bug 42452 - Web Inspector: show actual breakpoint position in UI.
Summary: Web Inspector: show actual breakpoint position in UI.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-16 06:39 PDT by Pavel Podivilov
Modified: 2010-07-19 02:21 PDT (History)
1 user (show)

See Also:


Attachments
Proposed patch. (1.24 KB, patch)
2010-07-16 06:42 PDT, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2010-07-16 06:39:34 PDT
Web Inspector: show actual breakpoint position in UI.
Comment 1 Pavel Podivilov 2010-07-16 06:42:02 PDT
Created attachment 61801 [details]
Proposed patch.
Comment 2 Pavel Feldman 2010-07-17 04:48:36 PDT
Comment on attachment 61801 [details]
Proposed patch.

WebKit/chromium/src/js/DebuggerScript.js:102
 +          return undefined;
What will the user see in the UI when setting breakpoint on a comment? Does it simply vanish?
Comment 3 Pavel Feldman 2010-07-18 09:32:33 PDT
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebKit/chromium/ChangeLog
	M	WebKit/chromium/src/js/DebuggerScript.js
Committed r63626
Comment 4 Pavel Podivilov 2010-07-19 02:21:04 PDT
(In reply to comment #2)
> (From update of attachment 61801 [details])
> WebKit/chromium/src/js/DebuggerScript.js:102
>  +          return undefined;
> What will the user see in the UI when setting breakpoint on a comment? Does it simply vanish?

It will be set on nearest statement by v8 debugger. Here we got undefined only when trying to set a breakpoint outside a script.